ContainerConstant (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.constant

## Interface ContainerConstant

- All Known Implementing Classes:
    ContainerDefinitionImpl

      public interface ContainerConstant

  Implement this interface to access unique identifiers for mechanisms used to store essence in files. Many of these containers are specified by labels in the SMPTE labels registry (SMPTE RP224.6). File descriptors use container definitions to specify the how data is contained within a file.

  Many of the constants defined here represent ways that the material exchange format (MXF) generic container, as defined in SMPTE 379M, is used to represent essence according to different encodings of audio and/or video data. An MXF file consists of a sequence of content packages and data can be packed into these packages according to two main strategies:

  TODO fix this in the stylesheet
  frame wrapping
    Each content package is the duration of a single video frame, consisting of any picture, sound and data elements associated with the frame.
  clip wrapping
    Each content package contains all picture and sound data for an entire clip.

  All the constants in this package are annotated with additional metadata using the container description annotation.

  See the description of managing definitions in the package summary for more details of how to use these constants and dynamically extend the range of supported containers.

  See Also:
    `AAFFileDescriptor`, `ContainerDefinition`, `ContainerDescription`, `TypeDefinitions.ContainerDefinitionWeakReference`, `TypeDefinitions.ContainerDefinitionStrongReference`, `TypeDefinitions.ContainerDefinitionStrongReferenceSet`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AUID` | `AAF` An Advanced Authoring Format file.
    `static AUID` | `AAFKLV` An Advanced Authoring Format file stored using KLV data encoded as defined in SMPTE&336M.
    `static AUID` | `AAFMSS` An Advanced Authoring Format file encoded using Microsoft's Structured Storage format.
    `static AUID` | `AAFXML` An Advanced Authoring Format file stored using the so called Registered data XML format, an XML encoding of the classes of the AAF specification.
    `static AUID` | `AIFFAIFC` The audio interchange file format (AIFF) or its equivalent compressed variant known as AIFC.
    `static AUID` | `External` Essence is contained externally in a location given by locators in the file descriptor.
    `static AUID` | `JFIF` The JPEG file interchange format, the container specified to hold JPEG-coded image data.
    `static AUID` | `MXFGC_Avid_DNX_145_1080i` MXF generic container for Avid's DNX high-definition video encoding, using 8-bit quantisation for 1080 line interlaced video at 145 Mbps.
    `static AUID` | `MXFGC_Avid_DNX_145_1080p` MXF generic container for Avid's DNX high-definition video encoding, using 8-bit quantisation for 1080 line progressive video at 145 Mbps.
    `static AUID` | `MXFGC_Avid_DNX_145_720p` MXF generic container for Avid's DNX high-definition video encoding, using 8-bit quantisation for 720 line progressive video at 145 Mbps.
    `static AUID` | `MXFGC_Avid_DNX_220_1080i` MXF generic container for Avid's DNX high-definition video encoding, using 8-bit quantisation for 1080 line interlaced video at 220 Mbps.
    `static AUID` | `MXFGC_Avid_DNX_220_1080p` MXF generic container for Avid's DNX high-definition video encoding, using 8-bit quantisation for 1080 line progressive video at 220 Mbps.
    `static AUID` | `MXFGC_Avid_DNX_220_720p` MXF generic container for Avid's DNX high-definition video encoding, using 8-bit quantisation for 720 line progressive video at 220 Mbps.
    `static AUID` | `MXFGC_Avid_DNX_220X_1080i` MXF generic container for Avid's DNX high-definition video encoding, using 10-bit quantisation for 1080 line interlaced video at 220 Mbps.
    `static AUID` | `MXFGC_Avid_DNX_220X_1080p` MXF generic container for Avid's DNX high-definition video encoding, using 10-bit quantisation for 1080 line progressive video at 220 Mbps.
    `static AUID` | `MXFGC_Avid_DNX_220X_720p` MXF generic container for Avid's DNX high-definition video encoding, using 10-bit quantisation for 720 line progressive video at 220 Mbps.
    `static AUID` | `MXFGC_Avid_DNX_36_1080p` MXF generic container for Avid's DNxHD 36 file format for offline editing of film and HD sources.
    `static AUID` | `MXFGC_Clipwrapped_AES3_audio_data` MXF generic container for AES3 audio data as specified by SMPTE 382M and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_Alaw_Audio` MXF generic container for audio data coded with the a-law algorithm as specified in SMPTE 388M, wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_AVCbytestream_VideoStream0_SID` MXF generic container for advanced video coding byte streams represented according to SMPTE RP 2008-2007 Material Exchange Format - Mapping AVC Streams into the MXF Generic Container, wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_Broadcast_Wave_audio_data` MXF generic container for broadcast wave audio data as specified by SMPTE 382M and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_DVbased_1080x50I_100Mbps` MXF generic container for a DV stream: compliant with SMPTE 370M; 1080 line video at 50 Hz; interlaced; streamed at a rate of 100 Mbps and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_DVbased_1080x5994I_100Mbps` MXF generic container for a DV stream: compliant with SMPTE 370M; for 1080 line video at 59.94 Hz; interlaced; streamed at a rate of 100 Mbps; wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_DVbased_525x5994I_25Mbps` MXF generic container for a DV stream compliant with SMPTE 314M for 525 line video at 59.94 Hz, streamed at a rate of 25 Mbps and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_DVbased_525x5994I_50Mbps` MXF generic container for a DV stream compliant with SMPTE 314M for 525 line video at 59.94 Hz, streamed at 50 Mbps and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_DVbased_625x50I_25Mbps` MXF generic container for a DV stream compliant with SMPTE 314M for 625 line video at 50 Hz, streamed at a rate of 25 Mbps and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_DVbased_625x50I_50Mbps` MXF generic container for a DV stream compliant with SMPTE 314M for 625 line video at 50 Hz, streamed at 50 Mbps and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_DVbased_720x50P_100Mbps` MXF generic container for a DV stream: compliant with SMPTE 370M; for 720 line video at 50 Hz; progressive; streamed at a rate of 100 Mbps; wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_DVbased_720x5994P_100Mbps` MXF generic container for a DV stream: compliant with SMPTE 370M; for 720 line video at 59.94 Hz; progressive; streamed at a rate of 100 Mbps; wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_DVbased_UndefinedSource` MXF generic container for a DV stream from an undefined source and wrapped into by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_IECDV_525x5994I_25Mbps` MXF generic container for a DV stream compliant with IEC 61834-2 for 525 line video at 59.94 Hz, streamed at 25 Mbps and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_IECDV_525x5994I_25Mbps_SMPTE322M` MXF generic container for a DV stream: compliant with IEC 61834-2; appropriate for transport over a serial data transfer interface as defined in SMPTE 322M; for 525 line video at 59.94 Hz; streamed at 25&Mbps and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_IECDV_625x50I_25Mbps` MXF generic container for a DV stream compliant with IEC 61834-2 for 625 line video at 50 Hz, streamed at 25 Mbps and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_IECDV_625x50I_25Mbps_SMPTE322M` MXF generic container for a DV stream: compliant with IEC 61834-2; appropriate for transport over a serial data transfer interface as defined in SMPTE 322M; for 625 line video at60 Hz; streamed at 25 Mbps and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_IECDV_UndefinedSource_25Mbps` MXF generic container for a DV stream compliant with IEC 61834-2 from an undefined source, streamed at 25 Mbps and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_Uncompressed_525x5994I_720_422` MXF generic container for uncompressed essence, consisting of 525 video lines at 59.94 Hz, with a 4:2:2 chroma pattern, interlaced, a width of 720 and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_Uncompressed_525x5994P_960_422` MXF generic container for uncompressed essence, consisting of 525 line video at 59.94 Hz, with a 4:2:2 chroma pattern, progressive, a width of 960 and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_Uncompressed_625x50I_720_422` MXF generic container for uncompressed essence, consisting of 625 video lines at 50 Hz, with a 4:2:2 chroma pattern, interlaced, a width of 720 and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_Uncompressed_625x50P_960_422` MXF generic container for uncompressed essence, consisting of 625 line video at 50 Hz, with a 4:2:2 chroma pattern, progressive, a width of 960 and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_VC1` MXF generic container for VC-1 coded data, coded according to SMPTE 421M and wrapped by clips into content packages.
    `static AUID` | `MXFGC_Clipwrapped_VC3` MXF generic container for Avid's DNxHD coded data which is undergoing standardisation in SMPTE and to become known as VC-3, wrapped by clips into content packages.
    `static AUID` | `MXFGC_CustomClosedGOPwrapped_MPEGES_VideoStream1_SID` TODO
    `static AUID` | `MXFGC_Customwrapped_Alaw_Audio` MXF generic container for audio data coded with the a-law algorithm as specified in SMPTE 388M, wrapped into content packages in a custom way.
    `static AUID` | `MXFGC_Framewrapped_AES3_audio_data` MXF generic container for AES3 audio data as specified by SMPTE 382M and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_Alaw_Audio` MXF generic container for audio data coded with the a-law algorithm as specified in SMPTE 388M, wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_Broadcast_Wave_audio_data` MXF generic container for broadcast wave audio data as specified by SMPTE 382M and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_DVbased_1080x50I_100Mbps` MXF generic container for a DV stream: compliant with SMPTE 370M; for 1080 line video at 50 Hz; interlaced; streamed at a rate of 100 Mbps; wrapped into frame length content packages.
    `static AUID` | `MXFGC_Framewrapped_DVbased_1080x5994I_100Mbps` MXF generic container for a DV stream: compliant with SMPTE 370M; for 1080 line video at 59.94 Hz; interlaced; streamed at a rate of 100 Mbps; wrapped into frame length content packages.
    `static AUID` | `MXFGC_Framewrapped_DVbased_525x5994I_25Mbps` MXF generic container for a DV stream compliant with SMPTE 314M for 525 line video at 59.94 Hz, streamed at a rate of 25 Mbps and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_DVbased_525x5994I_50Mbps` MXF generic container for a DV stream compliant with SMPTE 314M for 525 line video at 59.94 Hz, streamed at 50 Mbps and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_DVbased_625x50I_25Mbps` MXF generic container for a DV stream compliant with SMPTE 314M for 625 line video at 50 Hz, streamed at a rate of 25 Mbps and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_DVbased_625x50I_50Mbps` MXF generic container for a DV stream compliant with SMPTE 314M for 625 line video at 50 Hz, streamed at 50 Mbps and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_DVbased_720x50P_100Mbps` MXF generic container for a DV stream: compliant with SMPTE 370M; for 720 line video at 50 Hz; progressive; streamed at a rate of 100 Mbps; wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_DVbased_720x5994P_100Mbps` MXF generic container for a DV stream: compliant with SMPTE 370M; for 720 line video at 59.94 Hz; progressive; streamed at a rate of 100 Mbps; wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_DVbased_UndefinedSource` MXF generic container for a DV stream from an undefined source and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_IECDV_525x5994I_25Mbps` MXF generic container for a DV stream compliant with IEC 61834-2 for 525 line video at 59.94 Hz, streamed at 25 Mbps and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_IECDV_525x5994I_25Mbps_SMPTE322M` MXF generic container for a DV stream: compliant with IEC 61834-2; appropriate for transport over a serial data transfer interface as defined in SMPTE 322M; for 525 line video at 59.94 Hz; streamed at 25 Mbps and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_IECDV_625x50I_25Mbps` MXF generic container for a DV stream compliant with IEC 61834-2 for 625 line video at 50 Hz, streamed at 25 Mbps and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_IECDV_625x50I_25Mbps_SMPTE322M` MXF generic container for a DV stream: compliant with IEC 61834-2; appropriate for transport over a serial data transfer interface as defined in SMPTE 322M; for 625 line video at 50 Hz; streamed at 25 Mbps and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_IECDV_UndefinedSource_25Mbps` MXF generic container for a DV stream compliant with IEC 61834-2 from an undefined source, streamed at 25 Mbps and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_MPEGES_VideoStream0_SID` TODO
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_525x5994I_30Mbps_DefinedTemplate` MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 30 Mbps, represented according to the template in SMPTE 386M.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_525x5994I_30Mbps_ExtendedTemplate` MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 30 Mbps, represented according to an extended template.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_525x5994I_30Mbps_PictureOnly` MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 30 Mbps, containing only picture data.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_525x5994I_40Mbps_DefinedTemplate` MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 40 Mbps, represented according to the template in SMPTE 386M.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_525x5994I_40Mbps_ExtendedTemplate` MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 40 Mbps, represented according to an extended template.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_525x5994I_40Mbps_PictureOnly` MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 40 Mbps, containing only picture data.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_525x5994I_50Mbps_DefinedTemplate` MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 50 Mbps, represented according to the template in SMPTE 386M.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_525x5994I_50Mbps_ExtendedTemplate` MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 50 Mbps, represented according to an extended template.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_525x5994I_50Mbps_PictureOnly` MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 50 Mbps, containing only picture data.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_625x50I_30Mbps_DefinedTemplate` MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 30 Mbps, represented according to the template in SMPTE 386M.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_625x50I_30Mbps_ExtendedTemplate` MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 30 Mbps, represented according to an extended template.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_625x50I_30Mbps_PictureOnly` MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 30 Mbps, containing only picture data.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_625x50I_40Mbps_DefinedTemplate` MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 40 Mbps, represented according to the template in SMPTE 386M.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_625x50I_40Mbps_ExtendedTemplate` MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 40 Mbps, represented according to an extended template.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_625x50I_40Mbps_PictureOnly` MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 40 Mbps, containing only picture data.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_625x50I_50Mbps_DefinedTemplate` MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 50 Mbps, represented according to the template in SMPTE 386M.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_625x50I_50Mbps_ExtendedTemplate` MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 50 Mbps, represented according to an extended template.
    `static AUID` | `MXFGC_Framewrapped_SMPTE_D10_625x50I_50Mbps_PictureOnly` MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 50 Mbps, containing only picture data.
    `static AUID` | `MXFGC_Framewrapped_Uncompressed_525x5994I_720_422` MXF generic container for uncompressed essence, consisting of 525 video lines at 59.94 Hz, with a 4:2:2 chroma pattern, interlaced, a width of 720 and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_Uncompressed_525x5994P_960_422` MXF generic container for uncompressed essence, consisting of 525 line video at 59.94 Hz, with a 4:2:2 chroma pattern, progressive, a width of 960 and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_Uncompressed_625x50I_720_422` MXF generic container for uncompressed essence, consisting of 625 video lines at 50 Hz, with a 4:2:2 chroma pattern, interlaced, a width of 720 and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_Uncompressed_625x50P_960_422` MXF generic container for uncompressed essence, consisting of 625 line video at 50 Hz, with a 4:2:2 chroma pattern, progressive, a width of 960 and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_VC1` MXF generic container for VC-1 coded data, coded according to SMPTE 421M and wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Framewrapped_VC3` MXF generic container for Avid's DNxHD coded data which is undergoing standardisation in SMPTE and to become known as VC-3, wrapped into frame-length content packages.
    `static AUID` | `MXFGC_Generic_Essence_Multiple_Mappings` MXF generic container for essence containing multiple different mappings to different types of stored data.
    `static AUID` | `MXFGC_Linewrapped_Uncompressed_525x5994I_720_422` MXF generic container for uncompressed essence, consisting of 525 video lines at 59.94 Hz, with a 4:2:2 chroma pattern, interlaced, a width of 720 and wrapped into line-length content packages.
    `static AUID` | `MXFGC_Linewrapped_Uncompressed_525x5994P_960_422` MXF generic container for uncompressed essence, consisting of 525 line video at 59.94 Hz, with a 4:2:2 chroma pattern, progressive, a width of 960 and wrapped into line-by-line content packages.
    `static AUID` | `MXFGC_Linewrapped_Uncompressed_625x50I_720_422` MXF generic container for uncompressed essence, consisting of 625 video lines at 50 Hz, with a 4:2:2 chroma pattern, interlaced, a width of 720 and wrapped into line-length content packages.
    `static AUID` | `MXFGC_Linewrapped_Uncompressed_625x50P_960_422` MXF generic container for uncompressed essence, consisting of 625 line video at 50 Hz, with a 4:2:2 chroma pattern, progressive, a width of 960 and wrapped into line-by-line content packages.
    `static AUID` | `OMF` An Open Media Framework file.
    `static AUID` | `RIFFWAVE` A resource interchange format file (RIFF) containing chunks of WAVE audio data.

- - ### Field Detail

    - #### External

          @ContainerDescription(description="External Container")
          static final AUID External

      Essence is contained externally in a location given by locators in the file descriptor.

    - #### OMF

          @ContainerDescription(description="")
          static final AUID OMF

      An Open Media Framework file. The format is a platform-independent file format intended for transfer of digital media between different software applications.

    - #### AAF

          @ContainerDescription(description="")
          static final AUID AAF

      An Advanced Authoring Format file. This is is a professional file interchange format designed for the video post production and authoring environments.

    - #### AAFMSS

          @ContainerDescription(description="")
          static final AUID AAFMSS

      An Advanced Authoring Format file encoded using Microsoft's Structured Storage format.

      See Also:
        `AAF`

    - #### AAFKLV

          @ContainerDescription(description="")
          static final AUID AAFKLV

      An Advanced Authoring Format file stored using KLV data encoded as defined in SMPTE&336M. As KLV coding is used for the Material Exchange Format files and the MXF and AAF data models are compatible, AAF KLV files are also MXF files.

      See Also:
        `AAF`

    - #### AAFXML

          @ContainerDescription(description="")
          static final AUID AAFXML

      An Advanced Authoring Format file stored using the so called Registered data XML format, an XML encoding of the classes of the AAF specification. This format is supported by the MAJ API using the IO XML package.

      See Also:
        `AAF`

    - #### MXFGC_Framewrapped_SMPTE_D10_625x50I_50Mbps_DefinedTemplate

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_625x50I_50Mbps_DefinedTemplate

      MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 50 Mbps, represented according to the template in SMPTE 386M.

    - #### MXFGC_Framewrapped_SMPTE_D10_625x50I_50Mbps_ExtendedTemplate

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_625x50I_50Mbps_ExtendedTemplate

      MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 50 Mbps, represented according to an extended template.

    - #### MXFGC_Framewrapped_SMPTE_D10_625x50I_50Mbps_PictureOnly

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_625x50I_50Mbps_PictureOnly

      MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 50 Mbps, containing only picture data.

    - #### MXFGC_Framewrapped_SMPTE_D10_525x5994I_50Mbps_DefinedTemplate

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_525x5994I_50Mbps_DefinedTemplate

      MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 50 Mbps, represented according to the template in SMPTE 386M.

    - #### MXFGC_Framewrapped_SMPTE_D10_525x5994I_50Mbps_ExtendedTemplate

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_525x5994I_50Mbps_ExtendedTemplate

      MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 50 Mbps, represented according to an extended template.

    - #### MXFGC_Framewrapped_SMPTE_D10_525x5994I_50Mbps_PictureOnly

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_525x5994I_50Mbps_PictureOnly

      MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 50 Mbps, containing only picture data.

    - #### MXFGC_Framewrapped_SMPTE_D10_625x50I_40Mbps_DefinedTemplate

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_625x50I_40Mbps_DefinedTemplate

      MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 40 Mbps, represented according to the template in SMPTE 386M.

    - #### MXFGC_Framewrapped_SMPTE_D10_625x50I_40Mbps_ExtendedTemplate

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_625x50I_40Mbps_ExtendedTemplate

      MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 40 Mbps, represented according to an extended template.

    - #### MXFGC_Framewrapped_SMPTE_D10_625x50I_40Mbps_PictureOnly

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_625x50I_40Mbps_PictureOnly

      MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 40 Mbps, containing only picture data.

    - #### MXFGC_Framewrapped_SMPTE_D10_525x5994I_40Mbps_DefinedTemplate

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_525x5994I_40Mbps_DefinedTemplate

      MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 40 Mbps, represented according to the template in SMPTE 386M.

    - #### MXFGC_Framewrapped_SMPTE_D10_525x5994I_40Mbps_ExtendedTemplate

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_525x5994I_40Mbps_ExtendedTemplate

      MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 40 Mbps, represented according to an extended template.

    - #### MXFGC_Framewrapped_SMPTE_D10_525x5994I_40Mbps_PictureOnly

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_525x5994I_40Mbps_PictureOnly

      MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 40 Mbps, containing only picture data.

    - #### MXFGC_Framewrapped_SMPTE_D10_625x50I_30Mbps_DefinedTemplate

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_625x50I_30Mbps_DefinedTemplate

      MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 30 Mbps, represented according to the template in SMPTE 386M.

    - #### MXFGC_Framewrapped_SMPTE_D10_625x50I_30Mbps_ExtendedTemplate

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_625x50I_30Mbps_ExtendedTemplate

      MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 30 Mbps, represented according to an extended template.

    - #### MXFGC_Framewrapped_SMPTE_D10_625x50I_30Mbps_PictureOnly

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_625x50I_30Mbps_PictureOnly

      MXF generic container for SMPTE-defined D-10 essence data defined at 625 lines, 50 Hz and streamed at 30 Mbps, containing only picture data.

    - #### MXFGC_Framewrapped_SMPTE_D10_525x5994I_30Mbps_DefinedTemplate

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_525x5994I_30Mbps_DefinedTemplate

      MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 30 Mbps, represented according to the template in SMPTE 386M.

    - #### MXFGC_Framewrapped_SMPTE_D10_525x5994I_30Mbps_ExtendedTemplate

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_525x5994I_30Mbps_ExtendedTemplate

      MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 30 Mbps, represented according to an extended template.

    - #### MXFGC_Framewrapped_SMPTE_D10_525x5994I_30Mbps_PictureOnly

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_SMPTE_D10_525x5994I_30Mbps_PictureOnly

      MXF generic container for SMPTE-defined D-10 essence data defined at 525 lines, 59.94 Hz and streamed at 30 Mbps, containing only picture data.

    - #### MXFGC_Framewrapped_IECDV_525x5994I_25Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_IECDV_525x5994I_25Mbps

      MXF generic container for a DV stream compliant with IEC 61834-2 for 525 line video at 59.94 Hz, streamed at 25 Mbps and wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_IECDV_525x5994I_25Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_IECDV_525x5994I_25Mbps

      MXF generic container for a DV stream compliant with IEC 61834-2 for 525 line video at 59.94 Hz, streamed at 25 Mbps and wrapped by clips into content packages.

    - #### MXFGC_Framewrapped_IECDV_625x50I_25Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_IECDV_625x50I_25Mbps

      MXF generic container for a DV stream compliant with IEC 61834-2 for 625 line video at 50 Hz, streamed at 25 Mbps and wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_IECDV_625x50I_25Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_IECDV_625x50I_25Mbps

      MXF generic container for a DV stream compliant with IEC 61834-2 for 625 line video at 50 Hz, streamed at 25 Mbps and wrapped by clips into content packages.

    - #### MXFGC_Framewrapped_IECDV_525x5994I_25Mbps_SMPTE322M

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_IECDV_525x5994I_25Mbps_SMPTE322M

      MXF generic container for a DV stream: compliant with IEC 61834-2; appropriate for transport over a serial data transfer interface as defined in SMPTE 322M; for 525 line video at 59.94 Hz; streamed at 25 Mbps and wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_IECDV_525x5994I_25Mbps_SMPTE322M

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_IECDV_525x5994I_25Mbps_SMPTE322M

      MXF generic container for a DV stream: compliant with IEC 61834-2; appropriate for transport over a serial data transfer interface as defined in SMPTE 322M; for 525 line video at 59.94 Hz; streamed at 25&Mbps and wrapped by clips into content packages.

    - #### MXFGC_Framewrapped_IECDV_625x50I_25Mbps_SMPTE322M

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_IECDV_625x50I_25Mbps_SMPTE322M

      MXF generic container for a DV stream: compliant with IEC 61834-2; appropriate for transport over a serial data transfer interface as defined in SMPTE 322M; for 625 line video at 50 Hz; streamed at 25 Mbps and wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_IECDV_625x50I_25Mbps_SMPTE322M

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_IECDV_625x50I_25Mbps_SMPTE322M

      MXF generic container for a DV stream: compliant with IEC 61834-2; appropriate for transport over a serial data transfer interface as defined in SMPTE 322M; for 625 line video at60 Hz; streamed at 25 Mbps and wrapped by clips into content packages.

    - #### MXFGC_Framewrapped_IECDV_UndefinedSource_25Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_IECDV_UndefinedSource_25Mbps

      MXF generic container for a DV stream compliant with IEC 61834-2 from an undefined source, streamed at 25 Mbps and wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_IECDV_UndefinedSource_25Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_IECDV_UndefinedSource_25Mbps

      MXF generic container for a DV stream compliant with IEC 61834-2 from an undefined source, streamed at 25 Mbps and wrapped by clips into content packages.

    - #### MXFGC_Framewrapped_DVbased_525x5994I_25Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_DVbased_525x5994I_25Mbps

      MXF generic container for a DV stream compliant with SMPTE 314M for 525 line video at 59.94 Hz, streamed at a rate of 25 Mbps and wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_DVbased_525x5994I_25Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_DVbased_525x5994I_25Mbps

      MXF generic container for a DV stream compliant with SMPTE 314M for 525 line video at 59.94 Hz, streamed at a rate of 25 Mbps and wrapped by clips into content packages.

    - #### MXFGC_Framewrapped_DVbased_625x50I_25Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_DVbased_625x50I_25Mbps

      MXF generic container for a DV stream compliant with SMPTE 314M for 625 line video at 50 Hz, streamed at a rate of 25 Mbps and wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_DVbased_625x50I_25Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_DVbased_625x50I_25Mbps

      MXF generic container for a DV stream compliant with SMPTE 314M for 625 line video at 50 Hz, streamed at a rate of 25 Mbps and wrapped by clips into content packages.

    - #### MXFGC_Framewrapped_DVbased_525x5994I_50Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_DVbased_525x5994I_50Mbps

      MXF generic container for a DV stream compliant with SMPTE 314M for 525 line video at 59.94 Hz, streamed at 50 Mbps and wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_DVbased_525x5994I_50Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_DVbased_525x5994I_50Mbps

      MXF generic container for a DV stream compliant with SMPTE 314M for 525 line video at 59.94 Hz, streamed at 50 Mbps and wrapped by clips into content packages.

    - #### MXFGC_Framewrapped_DVbased_625x50I_50Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_DVbased_625x50I_50Mbps

      MXF generic container for a DV stream compliant with SMPTE 314M for 625 line video at 50 Hz, streamed at 50 Mbps and wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_DVbased_625x50I_50Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_DVbased_625x50I_50Mbps

      MXF generic container for a DV stream compliant with SMPTE 314M for 625 line video at 50 Hz, streamed at 50 Mbps and wrapped by clips into content packages.

    - #### MXFGC_Framewrapped_DVbased_1080x5994I_100Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_DVbased_1080x5994I_100Mbps

      MXF generic container for a DV stream: compliant with SMPTE 370M; for 1080 line video at 59.94 Hz; interlaced; streamed at a rate of 100 Mbps; wrapped into frame length content packages.

    - #### MXFGC_Clipwrapped_DVbased_1080x5994I_100Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_DVbased_1080x5994I_100Mbps

      MXF generic container for a DV stream: compliant with SMPTE 370M; for 1080 line video at 59.94 Hz; interlaced; streamed at a rate of 100 Mbps; wrapped by clips into content packages.

    - #### MXFGC_Framewrapped_DVbased_1080x50I_100Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_DVbased_1080x50I_100Mbps

      MXF generic container for a DV stream: compliant with SMPTE 370M; for 1080 line video at 50 Hz; interlaced; streamed at a rate of 100 Mbps; wrapped into frame length content packages.

    - #### MXFGC_Clipwrapped_DVbased_1080x50I_100Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_DVbased_1080x50I_100Mbps

      MXF generic container for a DV stream: compliant with SMPTE 370M; 1080 line video at 50 Hz; interlaced; streamed at a rate of 100 Mbps and wrapped by clips into content packages.

    - #### MXFGC_Framewrapped_DVbased_720x5994P_100Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_DVbased_720x5994P_100Mbps

      MXF generic container for a DV stream: compliant with SMPTE 370M; for 720 line video at 59.94 Hz; progressive; streamed at a rate of 100 Mbps; wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_DVbased_720x5994P_100Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_DVbased_720x5994P_100Mbps

      MXF generic container for a DV stream: compliant with SMPTE 370M; for 720 line video at 59.94 Hz; progressive; streamed at a rate of 100 Mbps; wrapped by clips into content packages.

    - #### MXFGC_Framewrapped_DVbased_720x50P_100Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_DVbased_720x50P_100Mbps

      MXF generic container for a DV stream: compliant with SMPTE 370M; for 720 line video at 50 Hz; progressive; streamed at a rate of 100 Mbps; wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_DVbased_720x50P_100Mbps

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_DVbased_720x50P_100Mbps

      MXF generic container for a DV stream: compliant with SMPTE 370M; for 720 line video at 50 Hz; progressive; streamed at a rate of 100 Mbps; wrapped by clips into content packages.

    - #### MXFGC_Framewrapped_DVbased_UndefinedSource

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_DVbased_UndefinedSource

      MXF generic container for a DV stream from an undefined source and wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_DVbased_UndefinedSource

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_DVbased_UndefinedSource

      MXF generic container for a DV stream from an undefined source and wrapped into by clips into content packages.

    - #### MXFGC_Framewrapped_MPEGES_VideoStream0_SID

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_MPEGES_VideoStream0_SID

      TODO

      MXF generic container for ...

    - #### MXFGC_CustomClosedGOPwrapped_MPEGES_VideoStream1_SID

          @ContainerDescription(description="")
          static final AUID MXFGC_CustomClosedGOPwrapped_MPEGES_VideoStream1_SID

      TODO

      MXF generic container for ...

    - #### MXFGC_Framewrapped_Uncompressed_525x5994I_720_422

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_Uncompressed_525x5994I_720_422

      MXF generic container for uncompressed essence, consisting of 525 video lines at 59.94 Hz, with a 4:2:2 chroma pattern, interlaced, a width of 720 and wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_Uncompressed_525x5994I_720_422

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_Uncompressed_525x5994I_720_422

      MXF generic container for uncompressed essence, consisting of 525 video lines at 59.94 Hz, with a 4:2:2 chroma pattern, interlaced, a width of 720 and wrapped by clips into content packages.

    - #### MXFGC_Linewrapped_Uncompressed_525x5994I_720_422

          @ContainerDescription(description="")
          static final AUID MXFGC_Linewrapped_Uncompressed_525x5994I_720_422

      MXF generic container for uncompressed essence, consisting of 525 video lines at 59.94 Hz, with a 4:2:2 chroma pattern, interlaced, a width of 720 and wrapped into line-length content packages.

    - #### MXFGC_Framewrapped_Uncompressed_625x50I_720_422

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_Uncompressed_625x50I_720_422

      MXF generic container for uncompressed essence, consisting of 625 video lines at 50 Hz, with a 4:2:2 chroma pattern, interlaced, a width of 720 and wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_Uncompressed_625x50I_720_422

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_Uncompressed_625x50I_720_422

      MXF generic container for uncompressed essence, consisting of 625 video lines at 50 Hz, with a 4:2:2 chroma pattern, interlaced, a width of 720 and wrapped by clips into content packages.

    - #### MXFGC_Linewrapped_Uncompressed_625x50I_720_422

          @ContainerDescription(description="")
          static final AUID MXFGC_Linewrapped_Uncompressed_625x50I_720_422

      MXF generic container for uncompressed essence, consisting of 625 video lines at 50 Hz, with a 4:2:2 chroma pattern, interlaced, a width of 720 and wrapped into line-length content packages.

    - #### MXFGC_Framewrapped_Uncompressed_525x5994P_960_422

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_Uncompressed_525x5994P_960_422

      MXF generic container for uncompressed essence, consisting of 525 line video at 59.94 Hz, with a 4:2:2 chroma pattern, progressive, a width of 960 and wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_Uncompressed_525x5994P_960_422

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_Uncompressed_525x5994P_960_422

      MXF generic container for uncompressed essence, consisting of 525 line video at 59.94 Hz, with a 4:2:2 chroma pattern, progressive, a width of 960 and wrapped by clips into content packages.

    - #### MXFGC_Linewrapped_Uncompressed_525x5994P_960_422

          @ContainerDescription(description="")
          static final AUID MXFGC_Linewrapped_Uncompressed_525x5994P_960_422

      MXF generic container for uncompressed essence, consisting of 525 line video at 59.94 Hz, with a 4:2:2 chroma pattern, progressive, a width of 960 and wrapped into line-by-line content packages.

    - #### MXFGC_Framewrapped_Uncompressed_625x50P_960_422

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_Uncompressed_625x50P_960_422

      MXF generic container for uncompressed essence, consisting of 625 line video at 50 Hz, with a 4:2:2 chroma pattern, progressive, a width of 960 and wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_Uncompressed_625x50P_960_422

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_Uncompressed_625x50P_960_422

      MXF generic container for uncompressed essence, consisting of 625 line video at 50 Hz, with a 4:2:2 chroma pattern, progressive, a width of 960 and wrapped by clips into content packages.

    - #### MXFGC_Linewrapped_Uncompressed_625x50P_960_422

          @ContainerDescription(description="")
          static final AUID MXFGC_Linewrapped_Uncompressed_625x50P_960_422

      MXF generic container for uncompressed essence, consisting of 625 line video at 50 Hz, with a 4:2:2 chroma pattern, progressive, a width of 960 and wrapped into line-by-line content packages.

    - #### MXFGC_Framewrapped_Broadcast_Wave_audio_data

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_Broadcast_Wave_audio_data

      MXF generic container for broadcast wave audio data as specified by SMPTE 382M and wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_Broadcast_Wave_audio_data

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_Broadcast_Wave_audio_data

      MXF generic container for broadcast wave audio data as specified by SMPTE 382M and wrapped by clips into content packages.

    - #### MXFGC_Framewrapped_AES3_audio_data

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_AES3_audio_data

      MXF generic container for AES3 audio data as specified by SMPTE 382M and wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_AES3_audio_data

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_AES3_audio_data

      MXF generic container for AES3 audio data as specified by SMPTE 382M and wrapped by clips into content packages.

    - #### MXFGC_Framewrapped_Alaw_Audio

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_Alaw_Audio

      MXF generic container for audio data coded with the a-law algorithm as specified in SMPTE 388M, wrapped into frame-length content packages.

    - #### MXFGC_Clipwrapped_Alaw_Audio

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_Alaw_Audio

      MXF generic container for audio data coded with the a-law algorithm as specified in SMPTE 388M, wrapped by clips into content packages.

    - #### MXFGC_Customwrapped_Alaw_Audio

          @ContainerDescription(description="")
          static final AUID MXFGC_Customwrapped_Alaw_Audio

      MXF generic container for audio data coded with the a-law algorithm as specified in SMPTE 388M, wrapped into content packages in a custom way.

    - #### MXFGC_Clipwrapped_AVCbytestream_VideoStream0_SID

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_AVCbytestream_VideoStream0_SID

      MXF generic container for advanced video coding byte streams represented according to SMPTE RP 2008-2007 Material Exchange Format - Mapping AVC Streams into the MXF Generic Container, wrapped by clips into content packages.

    - #### MXFGC_Framewrapped_VC3

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_VC3

      MXF generic container for Avid's DNxHD coded data which is undergoing standardisation in SMPTE and to become known as VC-3, wrapped into frame-length content packages. See the related description of the DNxHD codec on Wikipedia.

    - #### MXFGC_Clipwrapped_VC3

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_VC3

      MXF generic container for Avid's DNxHD coded data which is undergoing standardisation in SMPTE and to become known as VC-3, wrapped by clips into content packages. See the related description of the DNxHD codec on Wikipedia.

    - #### MXFGC_Framewrapped_VC1

          @ContainerDescription(description="")
          static final AUID MXFGC_Framewrapped_VC1

      MXF generic container for VC-1 coded data, coded according to SMPTE 421M and wrapped into frame-length content packages. See the description of VC-1 on Wikipedia.

    - #### MXFGC_Clipwrapped_VC1

          @ContainerDescription(description="")
          static final AUID MXFGC_Clipwrapped_VC1

      MXF generic container for VC-1 coded data, coded according to SMPTE 421M and wrapped by clips into content packages. See the description of VC-1 on Wikipedia.

    - #### MXFGC_Generic_Essence_Multiple_Mappings

          @ContainerDescription(description="")
          static final AUID MXFGC_Generic_Essence_Multiple_Mappings

      MXF generic container for essence containing multiple different mappings to different types of stored data.

    - #### RIFFWAVE

          @ContainerDescription(description="")
          static final AUID RIFFWAVE

      A resource interchange format file (RIFF) containing chunks of WAVE audio data. See the description of RIFF on Wikipedia.

    - #### JFIF

          @ContainerDescription(description="")
          static final AUID JFIF

      The JPEG file interchange format, the container specified to hold JPEG-coded image data. See the description of JFIF on Wikipedia.

    - #### AIFFAIFC

          @ContainerDescription(description="")
          static final AUID AIFFAIFC

      The audio interchange file format (AIFF) or its equivalent compressed variant known as AIFC. AIFF is a beg-endian analogue of RIFF. See the description of AIFF and AIFC on Wikipedia.

    - #### MXFGC_Avid_DNX_220X_1080p

          @ContainerDescription(description="")
          static final AUID MXFGC_Avid_DNX_220X_1080p

      MXF generic container for Avid's DNX high-definition video encoding, using 10-bit quantisation for 1080 line progressive video at 220 Mbps. See the description of DNxHD from Avid.

    - #### MXFGC_Avid_DNX_145_1080p

          @ContainerDescription(description="")
          static final AUID MXFGC_Avid_DNX_145_1080p

      MXF generic container for Avid's DNX high-definition video encoding, using 8-bit quantisation for 1080 line progressive video at 145 Mbps. See the description of DNxHD from Avid.

    - #### MXFGC_Avid_DNX_220_1080p

          @ContainerDescription(description="")
          static final AUID MXFGC_Avid_DNX_220_1080p

      MXF generic container for Avid's DNX high-definition video encoding, using 8-bit quantisation for 1080 line progressive video at 220 Mbps. See the description of DNxHD from Avid.

    - #### MXFGC_Avid_DNX_36_1080p

          @ContainerDescription(description="")
          static final AUID MXFGC_Avid_DNX_36_1080p

      MXF generic container for Avid's DNxHD 36 file format for offline editing of film and HD sources. See the description of DNxHD 36 from AVID.

    - #### MXFGC_Avid_DNX_220X_1080i

          @ContainerDescription(description="")
          static final AUID MXFGC_Avid_DNX_220X_1080i

      MXF generic container for Avid's DNX high-definition video encoding, using 10-bit quantisation for 1080 line interlaced video at 220 Mbps. See the description of DNxHD from Avid.

    - #### MXFGC_Avid_DNX_145_1080i

          @ContainerDescription(description="")
          static final AUID MXFGC_Avid_DNX_145_1080i

      MXF generic container for Avid's DNX high-definition video encoding, using 8-bit quantisation for 1080 line interlaced video at 145 Mbps. See the description of DNxHD from Avid.

    - #### MXFGC_Avid_DNX_220_1080i

          @ContainerDescription(description="")
          static final AUID MXFGC_Avid_DNX_220_1080i

      MXF generic container for Avid's DNX high-definition video encoding, using 8-bit quantisation for 1080 line interlaced video at 220 Mbps. See the description of DNxHD from Avid.

    - #### MXFGC_Avid_DNX_220X_720p

          @ContainerDescription(description="")
          static final AUID MXFGC_Avid_DNX_220X_720p

      MXF generic container for Avid's DNX high-definition video encoding, using 10-bit quantisation for 720 line progressive video at 220 Mbps. See the description of DNxHD from Avid.

    - #### MXFGC_Avid_DNX_220_720p

          @ContainerDescription(description="")
          static final AUID MXFGC_Avid_DNX_220_720p

      MXF generic container for Avid's DNX high-definition video encoding, using 8-bit quantisation for 720 line progressive video at 220 Mbps. See the description of DNxHD from Avid.

    - #### MXFGC_Avid_DNX_145_720p

          @ContainerDescription(description="")
          static final AUID MXFGC_Avid_DNX_145_720p

      MXF generic container for Avid's DNX high-definition video encoding, using 8-bit quantisation for 720 line progressive video at 145 Mbps. See the description of DNxHD from Avid.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.